program takeeasy;

{$ifdef fpc}
  {$mode objfpc}{$H+}
{$endif}

uses
  {$ifdef Unix}
    cthreads,
  {$endif}
  {$ifdef fpc}
    LResources,
    Interfaces,
  {$endif} 
  Forms,
  wolfutil in '..\..\..\units\wolfutil.pas',
  zusatz   in '..\..\..\units\zusatz.pas',
  copyrite in '..\..\..\units\copyrite.pas',
  hexagon  in 'hexagon.pas',
  thread   in 'thread.pas',
  {$ifdef fpc}
    te_pack,
  {$else}
    link   in 'link.pas'    {LinkForm},
  {$endif}
  main     in 'main.pas'    {MainForm},
  child    in 'child.pas'   {ChildForm},
  names    in 'names.pas'   {PlayerForm},
  score    in 'score.pas'   {ScoreForm},
  colors   in 'colors.pas'  {ColorsForm},
  author   in 'author.pas'  {AuthorForm},
  idee     in 'idee.pas'    {IdeaForm},
  optimum  in 'optimum.pas' {OptimumForm},
  ziel     in 'ziel.pas'    {StrategyForm},
  chat     in 'chat.pas'    {ChatForm},
  port     in 'port.pas'    {PortForm};

{$R *.res}

begin
  Application.Initialize;
  Application.CreateForm(TMainForm,     MainForm);
  Application.CreateForm(TPlayerForm,   PlayerForm);
  Application.CreateForm(TScoreForm,    ScoreForm);
  Application.CreateForm(TColorsForm,   ColorsForm);
  Application.CreateForm(TAuthorForm,   AuthorForm);
  Application.CreateForm(TIdeaForm,     IdeaForm);
  Application.CreateForm(TOptimumForm,  OptimumForm);
  Application.CreateForm(TStrategyForm, StrategyForm);
  Application.CreateForm(TPortForm,     PortForm);
  {$ifndef fpc}
    Application.CreateForm(TLinkForm,   LinkForm);
  {$endif}
  Application.Run;
end.
